<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:paddingLeft="16dp"
    android:paddingRight="16dp"
    tools:context=".MainActivity">

    <TextView
        android:id="@+id/text_version"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:layout_marginBottom="4dp"
        android:textColor="@android:color/holo_orange_dark"
        android:textSize="14sp"
        tools:text="运营SDK v2.34.0.12 测试环境" />

    <LinearLayout style="@style/Demo.Button.Container">

        <TextView
            style="@style/Demo.Text.SubTitle"
            android:layout_marginTop="8dp"
            android:text="@string/demo_category_core_business" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <Button
                style="@style/Demo.Button"
                android:onClick="onLoginBtnClicked"
                android:text="@string/login_action" />

            <Button
                style="@style/Demo.Button"
                android:onClick="onRechargeBtnClicked"
                android:text="@string/recharge_action" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        style="@style/Demo.Button.Container"
        android:visibility="visible">

        <TextView
            style="@style/Demo.Text.SubTitle"
            android:layout_marginTop="8dp"
            android:text="@string/demo_category_account" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <Button
                    style="@style/Demo.Button"
                    android:onClick="onSwitchAccountBtnClicked"
                    android:text="@string/switch_account_action" />

                <Button
                    style="@style/Demo.Button"
                    android:onClick="onLogoutBtnClicked"
                    android:text="@string/logout_action" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <Button
                    style="@style/Demo.Button"
                    android:onClick="onCheckLoginBtnClicked"
                    android:text="@string/check_login_action" />

                <Button
                    style="@style/Demo.Button"
                    android:onClick="onShowUserBtnClicked"
                    android:text="@string/show_user_info_action" />

                <Button
                    style="@style/Demo.Button"
                    android:onClick="onServerBtnClicked"
                    android:text="@string/server_select_action" />

            </LinearLayout>
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        style="@style/Demo.Button.Container"
        android:visibility="visible">

        <TextView
            style="@style/Demo.Text.SubTitle"
            android:layout_marginTop="8dp"
            android:text="@string/demo_category_aga" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <Button
                style="@style/Demo.Button"
                android:onClick="onCheckBindPhoneBtnClicked"
                android:text="@string/check_bind_phone_action" />

            <Button
                style="@style/Demo.Button"
                android:onClick="onBindPhoneBtnClicked"
                android:text="@string/bind_phone_action" />

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        style="@style/Demo.Button.Container"
        android:visibility="visible">

        <TextView
            style="@style/Demo.Text.SubTitle"
            android:layout_marginTop="8dp"
            android:text="@string/demo_category_chore" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <Button
                style="@style/Demo.Button"
                android:onClick="onUpgradeBtnClicked"
                android:text="@string/upgrade_check_version_action" />

            <Button
                style="@style/Demo.Button"
                android:onClick="onGoCommentClicked"
                android:text="@string/acton_go_game_comment" />


        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <Button
                style="@style/Demo.Button"
                android:onClick="onQuitGameBtnClicked"
                android:text="@string/action_quit_game" />

            <Button
                style="@style/Demo.Button"
                android:onClick="onReportViolationBtnClicked"
                android:text="@string/action_report_violation" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>
